edu.isi.pegasus.gridftp

## Class GridFTPConnection.StringBuilderDataSink

- java.lang.Object
- - edu.isi.pegasus.gridftp.GridFTPConnection.StringBuilderDataSink

All Implemented Interfaces:
  org.globus.ftp.DataSink

Enclosing class:
  GridFTPConnection

    private class GridFTPConnection.StringBuilderDataSink
    extends java.lang.Object
    implements org.globus.ftp.DataSink

This class is used to collect data returned by the list command into a StringBuilder.

### Field Summary

Fields
`private java.lang.StringBuilder` `builder`

### Constructor Summary

Constructors
Constructor and Description
`StringBuilderDataSink()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`java.lang.String` `toString()`
`void` `write(org.globus.ftp.Buffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### builder

    private java.lang.StringBuilder builder

### Constructor Detail

#### StringBuilderDataSink

    public StringBuilderDataSink()

### Method Detail

#### write

    public void write(org.globus.ftp.Buffer buffer)
               throws java.io.IOException

Specified by:
  `write` in interface `org.globus.ftp.DataSink`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `org.globus.ftp.DataSink`
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`